package cn.iocoder.yudao.module.system.dal.mysql.biz;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.NutritionRecordPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.NutritionRecordDO;
import org.apache.ibatis.annotations.Mapper;


/**
 * 营养记录 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface NutritionRecordMapper extends BaseMapperX<NutritionRecordDO> {

    default PageResult<NutritionRecordDO> selectPage(NutritionRecordPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<NutritionRecordDO>()
                .eqIfPresent(NutritionRecordDO::getElderId, reqVO.getElderId())
                .betweenIfPresent(NutritionRecordDO::getRecordTime, reqVO.getRecordTime())
                .eqIfPresent(NutritionRecordDO::getDietitian, reqVO.getDietitian())
                .eqIfPresent(NutritionRecordDO::getRecordContent, reqVO.getRecordContent())
                .betweenIfPresent(NutritionRecordDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(NutritionRecordDO::getTenantId,reqVO.getTenantId())
                .likeIfPresent(NutritionRecordDO::getElderName,reqVO.getElderName())
                .orderByDesc(NutritionRecordDO::getCreateTime));
    }

}